From 00bf20337a27204dcd24ccf08de638ca93805b4d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Filipe=20La=C3=ADns?= <lains@riseup.net>
Date: Sun, 8 Sep 2024 22:28:29 +0100
Subject: [PATCH] Drop implicit depends and add missing makedepends
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Filipe Laíns <lains@riseup.net>
---
 .SRCINFO | 3 +--
 PKGBUILD | 2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/.SRCINFO b/.SRCINFO
index ecd74ca..296030e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -5,8 +5,7 @@ pkgbase = clipper2
 	url = https://github.com/AngusJohnson/Clipper2
 	arch = x86_64
 	license = BSL-1.0
-	depends = glibc
-	depends = gcc-libs
+	makedepends = cmake
 	source = https://github.com/AngusJohnson/Clipper2/archive/refs/tags/Clipper2_1.4.0.tar.gz
 	sha256sums = b83f71bb6a338f4f82116089c5ae867dbc43a2d651b5441380970dd966edd959
 
diff --git a/PKGBUILD b/PKGBUILD
index ccbba58..808db04 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@ pkgdesc="Polygon Clipping and Offsetting"
 arch=('x86_64')
 url="https://github.com/AngusJohnson/Clipper2"
 license=('BSL-1.0')
-depends=('glibc' 'gcc-libs')
+makedepends=('cmake')
 source=("https://github.com/AngusJohnson/Clipper2/archive/refs/tags/Clipper2_${pkgver}.tar.gz")
 sha256sums=('b83f71bb6a338f4f82116089c5ae867dbc43a2d651b5441380970dd966edd959')
 
-- 
2.46.0

